Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFontInfo

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QFontInfo

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QFontInfo

extends QtJambiObject
implements java.lang.Cloneable

The `QFontInfo` class provides general information about fonts. The `QFontInfo` class provides the same access functions as `QFont`, e.g. `family()`, `pointSize()`, `italic()`, `weight()`, `fixedPitch()`, `styleHint()` etc. But whilst the `QFont` access functions return the values that were set, a `QFontInfo` object returns the values that apply to the font that will actually be used to draw the text.

For example, when the program asks for a 25pt Courier font on a machine that has a non-scalable 24pt Courier font, `QFont` will (normally) use the 24pt Courier for rendering. In this case, `QFont::pointSize()` returns 25 and `QFontInfo::pointSize()` returns 24.

There are three ways to create a `QFontInfo` object.

1. Calling the `QFontInfo` constructor with a `QFont` creates a font info object for a screen-compatible font, i.e. the font cannot be a printer font. If the font is changed later, the font info object is not updated.

   (Note: If you use a printer font the values returned may be inaccurate. Printer fonts are not always accessible so the nearest screen font is used if a printer font is supplied.)

2. `QWidget::fontInfo()` returns the font info for a widget's font. This is equivalent to calling `QFontInfo`(widget->font()). If the widget's font is changed later, the font info object is not updated.
3. `QPainter::fontInfo()` returns the font info for a painter's current font. If the painter's font is changed later, the font info object is not updated.

See also:
  `QFont`, `QFontMetrics`, and `QFontDatabase`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QFontInfo(QFont arg__1)` Constructs a font info object for `font`.
`QFontInfo(QFontInfo arg__1)` Constructs a copy of `fi`.

Method Summary
`boolean` | `bold()` Returns true if `weight()` would return a value greater than `QFont::Normal` ; otherwise returns false.
`QFontInfo` | `clone()` This method is reimplemented for internal reasons
`boolean` | `exactMatch()` Returns true if the matched window system font is exactly the same as the one specified by the font; otherwise returns false.
`java.lang.String` | `family()` Returns the family name of the matched window system font.
`boolean` | `fixedPitch()` Returns the fixed pitch value of the matched window system font.
`static QFontInfo` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QFontInfo instance pointed to by `nativePointer`.
`boolean` | `italic()` Returns the italic value of the matched window system font.
`static QNativePointer` | `nativePointerArray(QFontInfo[] array)` This function returns a QNativePointer that is pointing to the specified QFontInfo array.
`int` | `pixelSize()` Returns the pixel size of the matched window system font.
`int` | `pointSize()` Returns the point size of the matched window system font.
`double` | `pointSizeF()` Returns the point size of the matched window system font.
`boolean` | `rawMode()` Returns true if the font is a raw mode font; otherwise returns false.
`QFont.Style` | `style()` Returns the style value of the matched window system font.
`QFont.StyleHint` | `styleHint()` Returns the style of the matched window system font.
`int` | `weight()` Returns the weight of the matched window system font.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QFontInfo

    public QFontInfo(QFont arg__1)

  Constructs a font info object for `font`.

  The font must be screen-compatible, i.e. a font you use when drawing text in `widgets` or `pixmaps`, not `QPicture` or `QPrinter`.

  The font info object holds the information for the font that is passed in the constructor at the time it is created, and is not updated if the font's attributes are changed later.

  Use `QPainter::fontInfo()` to get the font info when painting. This will give correct results also when painting on paint device that is not screen-compatible.

### QFontInfo

    public QFontInfo(QFontInfo arg__1)

  Constructs a copy of `fi`.

Method Detail

### bold

    public final boolean bold()

  Returns true if `weight()` would return a value greater than `QFont::Normal` ; otherwise returns false.

See also:
  `weight()`, and `QFont::bold()`.

### exactMatch

    public final boolean exactMatch()

  Returns true if the matched window system font is exactly the same as the one specified by the font; otherwise returns false.

See also:
  `QFont::exactMatch()`.

### family

    public final java.lang.String family()

  Returns the family name of the matched window system font.

See also:
  `QFont::family()`.

### fixedPitch

    public final boolean fixedPitch()

  Returns the fixed pitch value of the matched window system font.

See also:
  `QFont::fixedPitch()`.

### italic

    public final boolean italic()

  Returns the italic value of the matched window system font.

See also:
  `QFont::italic()`.

### pixelSize

    public final int pixelSize()

  Returns the pixel size of the matched window system font.

See also:
  `QFont::pointSize()`.

### pointSize

    public final int pointSize()

  Returns the point size of the matched window system font.

See also:
  `pointSizeF()`, and `QFont::pointSize()`.

### pointSizeF

    public final double pointSizeF()

  Returns the point size of the matched window system font.

See also:
  `QFont::pointSizeF()`.

### rawMode

    public final boolean rawMode()

  Returns true if the font is a raw mode font; otherwise returns false.

  If it is a raw mode font, all other functions in `QFontInfo` will return the same values set in the `QFont`, regardless of the font actually used.

See also:
  `QFont::rawMode()`.

### style

    public final QFont.Style style()

  Returns the style value of the matched window system font.

See also:
  `QFont::style()`.

### styleHint

    public final QFont.StyleHint styleHint()

  Returns the style of the matched window system font.

  Currently only returns the style hint set in `QFont`.

See also:
  `QFont::styleHint()`, and `QFont::StyleHint` .

### weight

    public final int weight()

  Returns the weight of the matched window system font.

See also:
  `QFont::weight()`, and `bold()`.

### fromNativePointer

    public static QFontInfo fromNativePointer(QNativePointer nativePointer)

  This method returns the QFontInfo instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QFontInfo[] array)

  This function returns a QNativePointer that is pointing to the specified QFontInfo array.

### clone

    public QFontInfo clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD